/*
Theme Name:   Jupi Child Theme
Theme URI:    https://whimsystick.com/
Description:  A jupi child theme
Author:       Jupi
Author URI:   https://whimsystick.com/
Template:     jupi
Version:      1.0.0
Text Domain:  jupichild
*/

body{
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}
.elementor.elementor-646{
  margin-top: auto;
}
#scrollUp {
  border: 2px solid #00348d !important;
  color: #00348d !important;
}
#scrollUp:hover {
  background-color: #00348d !important;
  color: #fff !important;
}
/* a:focus, a:hover, button:focus, input:focus {
  text-decoration: none;
  outline: 0;
  color: #00348d !important;
} */
.transparent-menu .mainmenu-area:not(.affix) .primary-menu>ul.nav>li>a {
  color: #fff !important;
}

.transparent-menu .mainmenu-area:not(.affix) .primary-menu ul.nav>li>a:before {
  background-color: #fff !important;
}

.transparent-menu .mainmenu-area:not(.affix) .icon-button {
  color: #fff !important;
}

.primary-menu ul.nav>li>a:before {
  background-color: #00348d !important;
}

.affix .primary-menu ul.nav li a:before {
  background-color: #00348d !important;
}

.mainmenu-area {
  position: fixed !important;
}

.affix .primary-menu ul.nav li:hover>a, .affix .primary-menu ul.nav>li.active>a, .affix .primary-menu ul.nav>li.current-menu-item>a {
    color: #00348d !important;
}

.woocommerce-shop .mini-cart-area .mini-cart-box {
  opacity: 0 !important;
  visibility: hidden !important;
}

.woocommerce-shop .mini-cart-area:hover .mini-cart-box {
  opacity: 1 !important;
  visibility: visible !important;
}

.woocommerce.woocommerce-shop .mini-cart-area ul.product_list_widget li a {
  font-weight: unset;
}

.page .mini-cart-box a.button {
  /* font-size: 14px; */
  font-weight: 500;
  margin: 0;
  cursor: pointer;
  letter-spacing: 1px;
  position: relative;
  text-decoration: none;
  overflow: visible;
  /* padding: 20px 35px; */
  color: #fff;
  background-color: #00348d;
  border: 1px solid #00348d;
  /* display: inline-block; */
  border-radius: 2px;
  text-transform: uppercase;
  line-height: 1;
}
.page .mini-cart-box a.button:hover {
    background-color: #fff;
    color: #00348d;
}
.page .mini-cart-box ul.product_list_widget {
    list-style: none outside;
    padding: 0;
    margin: 0;
}
.page .mini-cart-box ul.product_list_widget li img {
  float: left;
  margin-left: 0;
  width: 60px;
  height: auto;
  -webkit-box-shadow: none;
  box-shadow: none;
  margin-right: 15px;
}
.page .mini-cart-box ul.product_list_widget li a .product-title {
  font-weight: 400;
  font-size: 16px;
  line-height: 26px;
}
.page .mini-cart-box ul.product_list_widget li {
  padding: 8px 0;
}

.mini-cart-area .cart-items-count {
  right: 6px !important;
}

.float{
  position:fixed;
  width:60px;
  height:60px;
  /* bottom:40px;
  left:40px; */
  right: 60px;
  bottom: 30px;
  border: 2px solid #00348d !important;
  color: #00348d !important;
  background-color: #fff;
  border-radius:50px;
  text-align:center;
  /* box-shadow: 2px 2px 3px #999; */
  z-index: 99;
}

.my-float{
  margin-top: 15px;
  font-size: 24px !important;
}

@media only screen and (max-width: 767px) {
  .float {
    bottom: 15px;
    right: 50px;
  }
}

/* CUSTOM MINICART SLIDER DESIGN */
.related-products {
  border-top: 1px solid #00348d;
  margin-top: 10px;
}

.mini-cart-area .woocommerce-mini-cart__empty-message {
  text-align:center;
}

h2.custom-related-product-heading {
  margin: 15px 0px;
  text-align: center;
  font-size: 24px;
}


/* .owl-carousel .owl-nav [class*='owl-'] {
  -webkit-transition: all .3s ease;
  transition: all .3s ease;
}
.owl-carousel .owl-nav [class*='owl-'].disabled:hover {
  background-color: #D6D6D6;
} */
.custom-minicart-related .owl-carousel {
  position: relative;
}
.custom-minicart-related .owl-carousel .owl-next,
.owl-carousel .owl-prev {
/*   width: 50px;
  height: 50px;
	line-height: 50px;
	border-radius: 50%; */
  position: absolute;
  top: 30%;
  border-radius: 40px !important;
  color: #00348d;
  width: 30px;
  height: 30px;
  text-align: center;
	/* font-size: 20px;
  color: #fff;
	border: 1px solid #000;
	text-align: center; */
}

.custom-minicart-related .owl-nav .owl-prev i, .owl-nav .owl-next i {
  font-size: 20px;
  position: relative;
  top: 2px;
  color: #00348d;
}
.custom-minicart-related .owl-nav .owl-prev:hover , .owl-nav .owl-next:hover {
  border: 1px solid #00348d !important;
  background: #fff !important;
}
/* .custom-minicart-related .owl-nav .owl-prev i:hover , .owl-nav .owl-next i:hover {
  color: #fff !important;
} */
.custom-minicart-related .owl-nav .owl-prev i {
  left: -1px;
}
.custom-minicart-related .owl-nav .owl-next i {
  right: -1px;
}
.custom-minicart-related .owl-carousel .owl-prev {
  left: -30px;
}
.custom-minicart-related .owl-carousel .owl-next {
  right: -30px;
}
.custom-minicart-related .owl-dot.active span{
  background:#00348d !important;
}
.custom-minicart-related .product-items.row {
	margin:0px 0px;
}
.custom-minicart-related .product-items .owl-item .product-image {
  height: 145px;
  width: 145px;
  margin: auto;
}
.custom-minicart-related .product-items .owl-item a.button {
  padding: 15px 35px !important;
}
.custom-minicart-related .product-items .owl-item a.button.loading:after {
  top: 1em;
  position: absolute;
}
.add_to_cart_button.ajax_add_to_cart.loading:after {
  top: 0.2em;
  position: absolute;
}


div#footer-link-sec {
  font-family:"Josefin Sans",Sans-serif;
}
div#footer-link-sec a:hover{
  color:#ffffffad;
}

div#get-in-touch a{
  color:#ffffff;
}

div#get-in-touch a:hover{
  color:#ffffffad;
}

div#footer-links a{
  color:#ffffff;
  line-height: 1.2;
  font-size: 18px;
  font-weight:400;
}

@media only screen and (min-width:321px) and (max-width:1024px){
  div#footer-links a{
      font-size:16px;
  }
}

@media only screen and (min-width:426px) and (max-width:767px){
  #footer-img{
      width:50%;
      max-width:50%;
  }
}
.menu-footer-menu-container ul li {
  margin-bottom: 10px;
}
.menu-footer-menu-container ul li a,
.jupiter-text-box .desc p a {
  background: linear-gradient(0deg, #ffffffad, #ffffffad) no-repeat right bottom / 0 var(--bg-h);
  transition: background-size 350ms;
  padding-bottom: 2px;
  --bg-h: 2px;
  display: inline-block;
}
.menu-footer-menu-container ul li a:where(:hover, :focus-visible),
.jupiter-text-box .desc p a:where(:hover, :focus-visible){
  background-size: 100% var(--bg-h);
  background-position-x: left;
}

